import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { StopDeploymentInput, StopDeploymentOutput } from "../models/models_0";
export { __MetadataBearer };
export interface StopDeploymentCommandInput extends StopDeploymentInput {}
export interface StopDeploymentCommandOutput
  extends StopDeploymentOutput,
    __MetadataBearer {}
declare const StopDeploymentCommand_base: {
  new (
    input: StopDeploymentCommandInput
  ): import("@smithy/core/client").CommandImpl<
    StopDeploymentCommandInput,
    StopDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: StopDeploymentCommandInput
  ): import("@smithy/core/client").CommandImpl<
    StopDeploymentCommandInput,
    StopDeploymentCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class StopDeploymentCommand extends StopDeploymentCommand_base {
  protected static __types: {
    api: {
      input: StopDeploymentInput;
      output: StopDeploymentOutput;
    };
    sdk: {
      input: StopDeploymentCommandInput;
      output: StopDeploymentCommandOutput;
    };
  };
}
